Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
POSTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required

CreateVpcFirewall

CreateVpcFirewall

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vpcUuidStringRequired

      VPC路由器UUID

    • descriptionString

      Optional. The detailed description of the resource.

    • nameStringRequired

      The resource name.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • descriptionStringRequired

      The detailed description of the resource.

    • refsListRequired

      See refs.

      • idlongRequired

        The firewall rule number.

      • ruleSetUuidStringRequired

        The firewall rule set UUID.

      • l3UuidStringRequired

        The L3 network UUID.

      • vpcFirewallUuidStringRequired

        The firewall UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • packetsForwardTypePacketsForwardTypeRequired

        See packetsForwardType.

        • inPacketsForwardTypeRequired

          Ingress packet.

        • outPacketsForwardTypeRequired

          Egress packet.

Endpoint

POST/zstack/v1/vpcfirewalls

/zstack/v1/vpcfirewalls

Operation ID

CreateVpcFirewall

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpcfirewalls' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vpcUuid":"<vpcUuid>","description":"<description>","name":"<name>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "name", "refs": [ { "id": 1.0, "ruleSetUuid": "06fc56b0483a3bf487b9cdfeaa6c4be2", "l3NetworkUuid": "27e1a95342083ce4a790d4f9dcf7f9bd", "packetsForwardType": "in", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "description": "example-des" } }

Change History

This API has no change history records yet.

View all change history